Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.api
Interface ALEPCFactory

All Known Implementing Classes:
  EngineALEPCFactory

public interface ALEPCFactory

A factory for creating instances of complex types used by the `ALEPC` API. Concrete implementations of the `ALEPC` interface will provide a method for obtaining an instance of this factory.

Method Summary
`AccessSpec` | `createAccessSpec(java.lang.String name)` Create a new empty AccessSpec instance containing no OpSpecs.
`DataSpec` | `createEPCCacheDataSpec(java.lang.String epcCacheName)` Create a new DataSpec that gets its data from an EPC Cache.
`EPCCacheSpec` | `createEPCCacheSpec()` Create a new `EPCCacheSpec` instance.
`EPCPatterns` | `createEPCPatterns()` Create a new `EPCPatterns` instance.
`KillOpSpec` | `createKillOpSpec(DataSpec dataSpec)` Create a new KillOpSpec.
`DataSpec` | `createLiteralDataSpec(java.net.URI value)` Create a new DataSpec that gets its data from a URI.
`LockOpSpec` | `createLockOpSpec(java.net.URI mask, java.net.URI value)` Create a new LockOpSpec.
`DataSpec` | `createParamDataSpec(java.lang.String paramName)` Create a new DataSpec that gets its data from the parameter map in the ALEPC poll() or immediate() call.
`PasswordOpSpec` | `createPasswordOpSpec(DataSpec dataSpec)` Create a new PasswordOpSpec.
`PCSpec` | `createPCSpec()` Create a new `PCSpec` instance.
`PCSubscriptionControls` | `createPCSubscriptionControls()` Create a new `PCSubscriptionControls` instance, with all fields initialized to zero, which requests that notification failures never cause a subscription to be unsubscribed.
`PCSubscriptionControls` | `createPCSubscriptionControls(int count, long interval)` Create a new `PCSubscriptionControls` instance with the specified count and interval in milliseconds.
`ReadOpSpec` | `createReadOpSpec(java.net.URI field)` Create a new ReadOpSpec.
`WriteOpSpec` | `createWriteOpSpec(java.net.URI field, DataSpec dataSpec)` Create a new WriteOpSpec.

Method Detail

### createPCSpec

    public PCSpec createPCSpec()

  Create a new `PCSpec` instance. The returned instance has no cache name, empty list of logical reader names, no start or stop trigger, and maxTrials and maxDuration set to 0 (no limit).

### createEPCCacheSpec

    public EPCCacheSpec createEPCCacheSpec()

  Create a new `EPCCacheSpec` instance. The returned instance has no application data, 0 threshold, and false includeContent.

### createEPCPatterns

    public EPCPatterns createEPCPatterns()

  Create a new `EPCPatterns` instance. The returned instance is empty.

### createPCSubscriptionControls

    public PCSubscriptionControls createPCSubscriptionControls()

  Create a new `PCSubscriptionControls` instance, with all fields initialized to zero, which requests that notification failures never cause a subscription to be unsubscribed.

### createPCSubscriptionControls

    public PCSubscriptionControls createPCSubscriptionControls(int count,
                                                               long interval)

  Create a new `PCSubscriptionControls` instance with the specified count and interval in milliseconds.

### createAccessSpec

    public AccessSpec createAccessSpec(java.lang.String name)

  Create a new empty AccessSpec instance containing no OpSpecs.

  Parameters:
    `name` - the name of the new AccessSpec

### createPasswordOpSpec

    public PasswordOpSpec createPasswordOpSpec(DataSpec dataSpec)

  Create a new PasswordOpSpec.

  Parameters:
    `dataSpec` - the DataSpec that the OpSpec will use to get the password

### createKillOpSpec

    public KillOpSpec createKillOpSpec(DataSpec dataSpec)

  Create a new KillOpSpec.

  Parameters:
    `dataSpec` - the DataSpec that the OpSpec will use to get the kill password

### createReadOpSpec

    public ReadOpSpec createReadOpSpec(java.net.URI field)

  Create a new ReadOpSpec.

  Parameters:
    `field` - the field URI to read

### createWriteOpSpec

    public WriteOpSpec createWriteOpSpec(java.net.URI field,
                                         DataSpec dataSpec)

  Create a new WriteOpSpec.

  Parameters:
    `field` - the field URI to be written
    `dataSpec` - the DataSpec that the OpSpec will use to get the contents to write

### createLockOpSpec

    public LockOpSpec createLockOpSpec(java.net.URI mask,
                                       java.net.URI value)

  Create a new LockOpSpec.

  Parameters:
    `mask` - The URI representing the data to use as the mask value in the request.
    `value` - The URI representing the data to use as the value in the request.

### createLiteralDataSpec

    public DataSpec createLiteralDataSpec(java.net.URI value)

  Create a new DataSpec that gets its data from a URI.

  Parameters:
    `value` - The URI representing the data to use as the contents.

### createEPCCacheDataSpec

    public DataSpec createEPCCacheDataSpec(java.lang.String epcCacheName)

  Create a new DataSpec that gets its data from an EPC Cache.

  Parameters:
    `epcCacheName` - The name of the EPC Cache to get data from.

### createParamDataSpec

    public DataSpec createParamDataSpec(java.lang.String paramName)

  Create a new DataSpec that gets its data from the parameter map in the ALEPC poll() or immediate() call.

  Parameters:
    `paramName` - the name of the parameter to look up in that map.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD